
.fadeL {
  -webkit-animation: fadeL 1s;
  animation: fadeL 1s;
}
@-webkit-keyframes fadeL {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-50px);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
  }
}
@keyframes fadeL {
  0% {
    opacity: 0;
    transform: translateX(-50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
.fadeR {
  -webkit-animation: fadeR 1s;
  animation: fadeR 1s;
}
@-webkit-keyframes fadeR {
  0% {
    opacity: 0;
    -webkit-transform: translateX(50px);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
  }
}
@keyframes fadeR {
  0% {
    opacity: 0;
    transform: translateX(50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
/*======= General style ======*/
/* font and body */
h1{
    font-family: 'Helvetica';
    font-weight: 700;
    color: #fefff3;
    font-size: 48px;
    line-height: 52px;
    text-shadow: 0 0 6px gray;
  }
h2{
      font-family: 'Helvetica';
      font-weight: 700;
      color: #fefff3;
      font-size: 24px;
      line-height: 28px;
      text-shadow: 0 0 1px gray;
    }
h3 {
     font-family: 'Helvetica';
     font-weight: 700;
     color: #425f6d;
     font-size: 48px;
     line-height: 50px;
     }
h4{
  font-family: 'Helvetica';
  font-weight: 700;
  color: #425f6d;
  font-size: 20px;
  line-height: 22px;
}

h5,
h6 {
  color: #fefff3;
  font-family: 'Helvetica';
  font-weight: 700;
  font-size: 18px;
  line-height: 20px;
}
@media (max-width: 991px) {
     h1, h3 {
 font-size: 28px;
 line-height: 32px;
     }
     h2 {
     font-size: 22px;
     line-height: 26px;
     }
     h4, h5, h6 {
 font-size: 16px;
 line-height: 19px;
     }
 }
 @media (max-width: 500px) {
     h1, h3 {
    font-size: 20px;
    line-height: 23px;
     }
     h2 {
     font-size: 18px;
     line-height: 21px;
     }
 }
p {
  font-family: 'Helvetica';
  font-weight: 400;
  color: #222222
  font-size: 14px;
  line-height: 18px;
}
@media (max-width: 768px) {
    p {
    display: none;
    }
}

body {
      margin: 0;
}

a {
  text-decoration:none; color:#425f6d
}
a:hover {
  color:#fe7f50; text-decoration:underline
}
/*--------------------------------------------------------------
1. Navigation
--------------------------------------------------------------*/
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #fff;
    padding: 10px 20px;
    color: #425f6d;
}
.navbar-left {
    display: flex;
    align-items: center;
}
.navbar-brand {
     font-family: 'Helvetica';
      font-weight: 700;
      font-size: 28px;
    margin-right: 20px;
    color: #425f6d;
    text-decoration: none;
}
.navbar-brand:hover {
    color: #fe7f50;
    text-decoration: none;
}
.navbar-brand .colored {
  color: #949897; /*grey*/
  font-size: 16px;
}
.social-media-icons {
    display: flex;
    gap: 10px;
}
.social-link {
    color: #425f6d;
    text-decoration: none;
    font-size: 18px;
    transition: color 0.3s;
}
.social-link:hover {
    color: #fe7f50;
}

/* hamburger */
.navbar-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
}
.navbar-toggle .bar {
    width: 25px;
    height: 3px;
    background-color: #425f6d;
    margin: 4px 0;
}

/* Navbar menu */
.navbar-menu {
    display: flex;
    gap: 14px;
    align-items: center;
    margin-left: auto;
      font-family: 'Helvetica';
      font-weight: 700;
      font-size: 16px;
      color: #222222;
}
.nav-link {
    color: #425f6d;
    text-decoration: none;
    padding: 10px;
    transition: background-color 0.3s;
}
.nav-link:hover {
    color: #fe7f50;
    text-decoration: none;
}
/* Dropdown menu */
.nav-dropdown {
    position: relative;
}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #425f6d;
    min-width: 160px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
}
.dropdown-content .dropdown-link {
    color: #fefff3;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}
.dropdown-content .dropdown-link:hover {
    background-color: #eee;
    color: #000;
}
.nav-dropdown:hover .dropdown-content {
    display: block;
}

/* Responsive styles */
@media (max-width: 991px) {
    .navbar {
        flex-direction: column;
        align-items: flex-start;
    }
    .navbar-left {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .navbar-toggle {
        display: flex;
        background-color: #fefff3;
    }
    .navbar-menu {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #fff;
    }
    .navbar-menu.active {
        display: flex;
    }
    .nav-link {
        padding: 10px;
        text-align: center;
    }
    .nav-dropdown:hover .dropdown-content {
        display: block;
        position: relative;
    }
    .dropdown-content {
        position: relative;
        width: 100%;
    }
    .social-media-icons {
        justify-content: flex-start;
        margin-top: 10px;
    }
}
/*--------------------------------------------------------------
2. Custom hero
--------------------------------------------------------------*/
 .hero {
     position: relative;
     width: 100%;
     height: 100vh; /* Full viewport height */
     background-size: cover;
     background-position: center;
     display: flex;
     justify-content: center;
     align-items: center;

 }
.hero-image {
 position: absolute;
   background-image: url('/assets/img/1200x675_Brick-1_mp2.jpg');
}
 .hero-content {
     position: relative;
     text-align: left;
     z-index: 2;
 }
@media (max-width: 500px) {
    .hero-content {
    text-align: center;
    }
}
 .hero::before {
     content: '';
     position: absolute;
     top: 0;
     left: 0;
     right: 0;
     bottom: 0;
     background: rgba(0, 0, 0, 0.2);
     z-index: 1;
 }

@media (max-width: 500px) {
    .hero-image {
      object-position: center top;
    }
}
/* columns */
.container-col {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    max-width: 1200px;
    margin: 10px auto;
    padding: 0 20px;
}

.column-es {
    flex: 1;
    padding: 0 20px;
}

.container-mail {
    background: rgba(255, 255, 255, 0.9);
        padding: 5px;
        border-radius: 8px;
        max-width: 600px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        text-align: center;
}
/* Responsive adjustments */
@media (max-width: 991px) {
      .container-mail {
       object-position: center center;
    }
}

.button {
    display: inline-block;
    padding: 10px;
    background-color: #fe7f50;
    font-family: 'Helvetica';
    font-weight: 700;
    color: #fefff3;
    text-decoration: none;
    border: none;
    border-radius: 4px;
    transition: background-color 0.3s;
}
.button:hover {
    background-color: #e55335;
    color: #fefff3;
    text-decoration: none;
}
.button:hover a {
color: #fefff3;
text-decoration: none;
}
